%global debug_package %{nil}

Name:           catch
Version:        2.10.2
Release:        1%{?dist}
Summary:        Modern, C++-native, header-only, framework for unit-tests, TDD and BDD

License:        Boost
URL:            https://github.com/philsquared/Catch
Source0:        https://github.com/philsquared/Catch/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake make gcc-c++ python3

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%prep
%autosetup -p 1 -n Catch2-%{version}
# No python, just python3
sed -i -e "s|COMMAND python |COMMAND python3 |" projects/CMakeLists.txt


%build
%cmake . -Bbuild -DCATCH_ENABLE_WERROR=OFF
%make_build -Cbuild


%install
%make_install -Cbuild
rm -rf %{buildroot}/%{_docdir}


%check
cd build
ctest -V %{?_smp_mflags}


%files devel
%doc README.md CODE_OF_CONDUCT.md docs
%license LICENSE.txt
%{_includedir}/catch2/
%{_datadir}/Catch2/
%{_datadir}/pkgconfig/catch2.pc
%{_libdir}/cmake/Catch2/


%changelog
* Thu Oct 31 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.10.2-1
- Initial build for EPL 8

